#!/bin/bash
#
#eg: to_mail='xiaoming@qq.com,xiaowang@qq.com'
to_mail=''

command -v ceph || { echo >&2 'ceph command not found.';exit 101; }

count=0
while true; do
    stats=$(timeout 60 ceph -s | awk '/health/{print $NF}')
    if [ "$stats" != 'HEALTH_OK' ]; then
        let count++
        echo "ceph status error"
        if [ $count -ge 3 ]; then
            message=$(ceph -s | awk '/health/,/services:/{print $0"\\n"}' | egrep -v 'health:|services:') 
            echo -e "ceph status: $stats\n\n$message" | mailx -s "ecm ceph waring" $to_mail 
            let count=0
        fi
    else
        echo "ceph status ok"
        let count=0
    fi
    sleep 120
done
